Bug 1304501 - Not recovering from bad input, leaves system broken, re-running is not fixing.
Not recovering from bad input, leaves system broken, re-running is not fixing.
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP3
: 1.0
Assigned To: John Matthews
Tasos Papaioannou
: Triaged
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2016-02-03 15:16 EST by John Matthews
Modified: 2016-04-29 12:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2016-02-03 15:16:06 EST
Description of problem:

Seen during hackathon

Enter in bad data such as a bad IP Address.
Enter in: 192,168.155.10  (use of comma)

Proceed, see system is broken.
Fix and re-run....doesn't fix networking.

Issue might be related to the NTP check we did and when/how we run networking.
Comment 1 Jason Montleon 2016-03-21 12:13:54 EDT
https://github.com/fusor/fusor-installer/pull/53 will fix this.
Comment 2 John Matthews 2016-04-11 16:42:56 EDT
Addressed in TP3 RC3
Comment 3 Tasos Papaioannou 2016-04-21 11:44:51 EDT
Verified on TP3 RC3 + fusor-installer-0.0.14-40.el7_2.noarch.rpm.

Note You need to log in before you can comment on or make changes to this bug.